# ComponentWithRuntimeFile

interface ComponentWithRuntimeFile : ComponentWithNativeRuntime

Represents a native component that produces a file to be used at runtime.

#### Since

4.5

#### Inheritors

ComponentWithSharedLibrary

## Functions

getBaseName
Link copied to clipboard
abstract fun getBaseName(): Provider<String>
getName
Link copied to clipboard
abstract fun getName(): String
getRuntimeFile
Link copied to clipboard
abstract fun getRuntimeFile(): Provider<RegularFile>
Returns the runtime file of this component.
getTargetMachine
Link copied to clipboard
abstract fun getTargetMachine(): TargetMachine
getToolChain
Link copied to clipboard
abstract fun getToolChain(): NativeToolChain
isDebuggable
Link copied to clipboard
abstract fun isDebuggable(): Boolean
isOptimized
Link copied to clipboard
abstract fun isOptimized(): Boolean